#ifndef FIELD_MODULE_INDICATOR
#define FIELD_MODULE_INDICATOR

#include <QWidget>
#include <QPainter>
#include <QColor>
#include <QPen>
#include <QBrush>

#include <Eigen/Dense>	

class FieldModuleIndicator : public QWidget 
{
Q_OBJECT

public:
	FieldModuleIndicator(QWidget* parent = 0);
	void updateFieldModule(float m, Eigen::Vector3f b);

public slots:
	void paintEvent(QPaintEvent*);
	
public:
	float tFN;
	float cFN;
};

#endif
	