#include "EulerAngleWindow.h"

EulerAngleWindow::EulerAngleWindow(QWidget* parent) : 
	QWidget(parent),
	eulerAngle(Eigen::Vector3f(0, 0, 0))
{
	xLabel = new QLabel(QString("<font color='red'>X = %1 deg</font>").arg(eulerAngle(0)));
	yLabel = new QLabel(QString("<font color='green'>Y = %1 deg</font>").arg(eulerAngle(1)));
	zLabel = new QLabel(QString("<font color='blue'>Z = %1 deg</font>").arg(eulerAngle(2)));
	QLabel* l = new QLabel("Current orientation:");
	
	/*QFont font;
	font.setPointSize(14);
	
	xLabel->setFont(font);	
	yLabel->setFont(font);	
	zLabel->setFont(font);	
	l->setFont(font);	*/
	
	QHBoxLayout *gl = new QHBoxLayout();
	gl->addWidget(l);
	// gl->addStretch();
	gl->addWidget(xLabel);
	// gl->addStretch();
	gl->addWidget(yLabel);
	// gl->addStretch();	
	gl->addWidget(zLabel);

	setLayout(gl);
}

void EulerAngleWindow::updateData(ImuData imuData)
{
	eulerAngle = imuData.r;
	
	xLabel->setText(QString("<font color='red'>X = %1 deg</font>").arg(eulerAngle(0)));
	yLabel->setText(QString("<font color='green'>Y = %1 deg</font>").arg(eulerAngle(1)));
	zLabel->setText(QString("<font color='blue'>Z = %1 deg</font>").arg(eulerAngle(2)));
}